Skip to content

Card order status change
Webhook

Request

This event is triggered every time a card order status is updated. Statuses depend on the type of card (virtual/physical). Additional statuses related to delivery exist for physical cards.

  • Event type: cards#card-order-status-change
  • Profile level subscriptions: Not Supported
  • Application level subscriptions: Supported

Available card order statuses:

The initial card order status is PLACED or REQUIREMENTS_FULFILLED depending on the requirement fulfillment state. The possible values are:

  • PLACED: The card order is created. The card will be generated once it has fulfilled all the requirements.
  • REQUIREMENTS_FULFILLED: The card order has fulfilled all the requirements and the card should be generated in a short while.
  • CARD_DETAILS_CREATED: The card has been generated.
  • PRODUCED: The physical card has been produced and is waiting to be picked up by delivery vendor (physical card only).
  • COMPLETED: The card has been activated and is ready to use. The card order is completed.
  • CANCELLED: The card order has been cancelled. This can happen if you contact Wise Support to cancel a card order.
  • RETURNED: Delivery failed. The physical card has been returned and will be blocked (physical card only).
Create card order statuses transition diagram

Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.

See the Webhooks guide for setup instructions, signature verification, and best practices.

Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstring

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"4.0.0"
Example:"4.0.0"
Discriminator
subscription_idstring, (uuid)

ID of the webhook subscription that triggered this event.

Example:"01234567-89ab-cdef-0123-456789abcdef"
event_typestring

Event type identifier

Example:"cards#card-order-status-change"
sent_atstring, (date-time)

Timestamp when the event was sent.

Example:"2023-01-01T12:34:56.123Z"
dataobject
Payload
{ "schema_version": "4.0.0", "subscription_id": "01234567-89ab-cdef-0123-456789abcdef", "event_type": "cards#card-order-status-change", "sent_at": "2023-01-01T12:34:56.123Z", "data": { "resource": { "profile_id": 123456, "type": "card", "client_id": "your-bank", "card_token": "35050a4a-9521-426e-8109-1396e3687a3e", "card_program": "VISA_DEBIT_CONSUMER_UK_1_PHYSICAL_CARDS_API" }, "order_id": "1001L", "order_status": "PRODUCED", "delivery_vendor": "DHL", "occurred_at": "2023-01-01T12:24:56.789Z" } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }